mdsp:	mdsp.o
	ld -r -o mdsp mdsp.o

mdsp.o:	mdsp.c
	cc +w -Xa -D_KERNEL -c mdsp.c
	
install: 
	echo "type=MOTO:modsp;name=MOTO,modsp	mdsp\N0" >> /etc/devlink.tab
#	echo "MOTO:* 0666 root sys" >> /etc/minor_perm
	cp mdsp /kernel/drv/
	chmod 755 /kernel/drv/mdsp
	chgrp sys /kernel/drv/mdsp
	chown root /kernel/drv/mdsp
	add_drv -i 'MOTO,modsp' mdsp
	chmod a+wr /dev/mdsp0

uninstall:
	rem_drv mdsp
